[weasel-commit] Source: fuse=2.7.4-1

  • From: rbuilder@xxxxxxxxx
  • To: weasel-commit@xxxxxxxxxxxxx
  • Date: Fri, 29 Jan 2010 13:26:01 -0500

================================
fuse:source=2.7.4-1
cvc rdiff fuse -1 /weasel.rpath.org@wgl:3-devel/2.7.4-1
================================
2.7.4-1 Filip Brcic (brcha@xxxxxxx) Fri Jan 29 13:25:49 2010
    fuse 2.7.4

fuse.init: new
--- /dev/null
+++ fuse.init
@@ -0,0 +35 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+MOUNTPOINT=/sys/fs/fuse/connections
+
+depend() {
+       need localmount
+}
+
+start() {
+
+       ebegin "Starting fuse"
+       if ! grep -qw fuse /proc/filesystems; then
+               modprobe fuse >/dev/null 2>&1 || eerror $? "Error loading fuse 
module"
+       fi
+       if grep -qw fusectl /proc/filesystems && \
+          ! grep -qw $MOUNTPOINT /proc/mounts; then
+               mount -t fusectl none $MOUNTPOINT >/dev/null 2>&1 || \
+                       eerror $? "Error mounting control filesystem"
+       fi
+       eend ${?}
+       
+}
+
+stop() {
+
+       ebegin "Stopping fuse"
+       if grep -qw $MOUNTPOINT /proc/mounts; then
+               umount $MOUNTPOINT >/dev/null 2>&1 || \
+                       eerror $? "Error unmounting control filesystem"
+       fi
+       eend ${?}
+       
+}

fuse.recipe: new
--- /dev/null
+++ fuse.recipe
@@ -0,0 +49 @@
+#
+# Copyright (c) 2010 Filip Brcic <brcha@xxxxxxxxxxxx>
+# Distributed under the terms of the GNU General Public License v3
+#
+
+class Fuse(AutoPackageRecipe):
+    name = 'fuse'
+    version = '2.7.4'
+
+    buildRequires = []
+
+    shortDesc  = 'Filesystem in Userspace'
+    longDesc   = 'An interface for filesystems implemented in userspace.'
+    url        = 'http://fuse.sourceforge.net'
+    licenses   = [ 'GPL-2' ]
+    categories = [ 'System' ]
+
+    def unpack(r):
+        r.addArchive('mirror://sourceforge/fuse/')
+
+        r.addPatch('fuse-fix-lazy-binding.patch')
+
+    def configure(r):
+        r.Configure(
+            ' --disable-kernel-module'
+            ' --disable-example'
+            )
+
+    def policy(r):
+        r.Doc('example')
+
+        r.addSource('fuse.init',
+                    dest='%(initdir)s/fuse',
+                    mode=0755)
+        r.TagSpec('initscript', '%(initdir)s/fuse')
+
+        r.Create('%(sysconfdir)s/fuse.conf', contents="""
+# Set the maximum number of FUSE mounts allowed to non-root users.
+# The default is 1000.
+#
+#mount_max = 1000
+
+# Allow non-root users to specify the 'allow_other' or 'allow_root'
+# mount options.
+#
+#user_allow_other
+""")
+
+        r.SetModes('%(bindir)s/fusermount', 04755)

fuse-fix-lazy-binding.patch: new
--- /dev/null
+++ fuse-fix-lazy-binding.patch
@@ -0,0 +11 @@
+diff -pur fuse-1.4.orig/util/Makefile.in fuse-1.4/util/Makefile.in
+--- fuse-1.4.orig/util/Makefile.in     2005-01-02 21:09:09.000000000 +0100
++++ fuse-1.4/util/Makefile.in  2005-01-03 08:49:25.333258992 +0100
+@@ -36,6 +36,7 @@ NORMAL_UNINSTALL = :
+ PRE_UNINSTALL = :
+ POST_UNINSTALL = :
+ ACLOCAL = @ACLOCAL@
++AM_CFLAGS=-Wl,-z,now
+ AMDEP_FALSE = @AMDEP_FALSE@
+ AMDEP_TRUE = @AMDEP_TRUE@
+ AMTAR = @AMTAR@

fuse-2.7.4.tar.gz: new

Committed by: brcha

Other related posts:

  • » [weasel-commit] Source: fuse=2.7.4-1 - rbuilder